### 问题反馈 <br>
- 准点发送的文章在定点推送模式下可能会被遗漏推送 <br>
- 钉钉/企业微信/蓝信webhook存在字节长度限制，需要优化程序推送逻辑 <br>

### 下一步计划（待完成） <br>
- 添加更多RSS订阅源（持续进行中） <br>
- 更换筛选模块，由时段筛选改为历史记录筛选以确保不会有资讯漏报 <br>
- 添加更多推送方式，如邮件、微信等 <br>
- 添加GitHub等监测源（参考github-cve-monitor） <br>
- 添加Mysql作为数据库存储 <br>

### 下一步计划（已完成） <br>
- 将所有打印信息转为logging info并存档（已完成）<br>
- 将logging info转为异步的loguru（已完成） <br>
- 探查异常中断原因（已解决，获取rss源时的请求未做超时检测） <br>
- 添加超时机制，防止程序异常卡死（已完成） <br>
- 存档所有推送文章方便以后查看（已完成） <br>
- 创建Web网页以展示最新推送（info.masonliu.com，已完成） <br>

### 更新日志
#### 从2024年12月15日开始记录
- 2024年12月15日早：优化了文件结构，修复了日志记录时的小BUG，添加web展示日志功能 <br>
- 2024年12月15日晚：修复了单次运行结束时的校验错误问题 <br>
- 2024年12月18日早：添加了短文本推送机制，一定程度上解决了长字节推送问题（解决办法正在思考中） <br>
- 2024年12月24日晚：上传了测试0.1版本，修复了报错问题 <br>
- 2024年12月25日早：优化了代码逻辑和表现 <br>
- 2024年12月25日晚：优化了推送报文格式 <br>
- 2024年12月30日：添加并完善了基于搜狗搜索的微信公众号文章监测 <br>
- 2024年12月30日晚：为洞见微信资讯推送添加了关键词筛选 <br>